Download it now!
Bug 50665 - \chpgn ignores formatting
Summary: \chpgn ignores formatting
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.4 release
Hardware: Other All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:3.7.0 target:3.6.0.0.beta1 tar...
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-04 01:07 UTC by Bernard Moreton
Modified: 2012-08-03 09:21 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Sample document with \chpgn not formatted as surrounding text (2.52 KB, application/rtf)
2012-06-06 02:19 UTC, Bernard Moreton
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bernard Moreton 2012-06-04 01:07:02 UTC
\chpgn now works in 3.5.4 - thank you! - but the formatting instructions surrounding the field are ignored.
Comment 1 Miklos Vajna 2012-06-05 22:47:00 UTC
Can you please attach a sample document, demonstrating the issue?

Thanks,

Miklos
Comment 2 Bernard Moreton 2012-06-06 02:19:38 UTC
Created attachment 62647 [details]
Sample document with \chpgn not formatted as surrounding text
Comment 3 Miklos Vajna 2012-06-06 02:42:37 UTC
Thanks, confirmed.
Comment 4 Not Assigned 2012-06-06 04:08:38 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b9508dd55f82d35f09a58021dc001cf79b390e08

fdo#50665 rtftok: don't ignore character properties of text fields
Comment 5 Not Assigned 2012-06-06 04:16:03 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=483c46716f269f5caf904f15676435edd8f1afd4&g=libreoffice-3-6

fdo#50665 rtftok: don't ignore character properties of text fields


It will be available in LibreOffice 3.6.
Comment 6 Miklos Vajna 2012-06-06 04:18:51 UTC
Will request cherry-pick to -3-5 later.
Comment 7 Not Assigned 2012-06-18 02:09:21 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-3-5":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c7f809a0f4737dd39fc27405e550e3e2d9f2e53f&g=libreoffice-3-5

fdo#50665 fdo#37063 rtftok: don't ignore character properties of text fields


It will be available in LibreOffice 3.5.6.
Comment 8 Rainer Bielefeld Retired 2012-08-03 09:21:23 UTC
We need exact and correct target information for automated lists in Wiki and LibO Web Site.